# <img src="https://github.com/pip-webui/pip-webui/blob/master/doc/Logo.png" alt="Pip.WebUI Logo" style="max-width:30%"> <br/> Non-visual core services

![](https://img.shields.io/badge/license-MIT-blue.svg)

Pip.WebUI.Core module contains critical mechanisms that the entire framework is based on.

* Functions (utilities, tags, dates, form errors)
* Localization and data formatting
* Handling errors and client-side transactions
* Routing
* Drag & drop
* Infinite scroll
* List selections

And more... Please, look at [User's guide](doc/UsersGuide.md) for details.


## Learn more about the module

- [User's guide](doc/UsersGuide.md)
- [Online samples](http://webui.pipdevs.com/pip-webui-core/index.html)
- [API reference](http://webui-api.pipdevs.com/pip-webui-core/index.html)
- [Developer's guide](doc/DevelopersGuide.md)
- [Changelog](CHANGELOG.md)
- [Pip.WebUI project website](http://www.pipwebui.org)
- [Pip.WebUI project wiki](https://github.com/pip-webui/pip-webui/wiki)
- [Pip.WebUI discussion forum](https://groups.google.com/forum/#!forum/pip-webui)
- [Pip.WebUI team blog](https://pip-webui.blogspot.com/)

## <a name="dependencies"></a>Module dependencies

* [pip-webui-lib](https://github.com/pip-webui/pip-webui-lib): angular, angular material and other 3rd party libraries

## <a name="license"></a>License

This module is released under [MIT license](License) and totally free for commercial and non-commercial use.
